/*!
 * iparapheur Web
 * Copyright (C) 2019-2025 Libriciel SCOP
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */


.table > thead > tr > th {
  -moz-user-select: none;
  -webkit-user-select: none;
  -ms-user-select: none;
  //noinspection CssUnknownProperty
  -o-user-select: none;
  user-select: none;
  white-space: nowrap;
}

.table > tbody > tr > td {
  vertical-align: middle;
  white-space: nowrap;
}

.col-icon-fixed-size {
  width: 6rem;
  min-width: 6rem;
  max-width: 6rem;
}

.col-button-fixed-size {
  width: 3rem;
  min-width: 3rem;
  max-width: 3rem;
}

.col-buttons-fixed-size-with-text {
  width: 13rem;
  min-width: 13rem;
  max-width: 13rem;
}

.col-int-fixed-size {
  width: 7rem;
  min-width: 7rem;
  max-width: 7rem;
}

.col-buttons-fixed-size {
  width: 7rem;
  min-width: 7rem;
  max-width: 7rem;

  &.col-buttons-3-buttons {
    width: 9rem;
    min-width: 9rem;
    max-width: 9rem;
  }

  &.col-buttons-5-buttons {
    width: 12rem;
    min-width: 12rem;
    max-width: 12rem;
  }
}

.col-date-medium-fixed-size {
  width: 13rem;
  min-width: 13rem;
  max-width: 13rem;
}

.col-date-fixed-size {
  width: 8rem;
  min-width: 8rem;
  max-width: 8rem;
}

.col-date-time-fixed-size {
  width: 10.8rem;
  min-width: 10.8rem;
  max-width: 10.8rem;
}

.col-id-fixed-size {
  width: 16rem;
  min-width: 16rem;
  max-width: 16rem;
}

.text-size-small {
  font-size: 0.6rem;
}

.sortable-row {
  margin-left: 1.55rem; // caret-padding
}
